#encoding: utf-8

require_relative 'ship.class'
require_relative 'player.class'

module Ogem

  SHIP_LIST = {
    light_fighter:  Ship.new("Chasseur léger",  "cl",   3000,     1000,    0),
    heavy_fighter:  Ship.new("Chasseur lourd",  "cL",   6000,     4000,    0),
    cruiser:        Ship.new("Croiseur",        "cr",   20000,    7000,    2000),
    battleship:     Ship.new("Vaisseau de B.",  "vb",   45000,    15000,   0),
    battlecruiser:  Ship.new("Traqueur",        "tr",   30000,    40000,   15000),
    bomber:         Ship.new("Bombardier",      "bb",   50000,    25000,   15000),
    destroyer:      Ship.new("Destroyer",       "ds",   60000,    50000,   15000),
    deathstar:      Ship.new("Etoile de la M.", "edlm", 5000000,  4000000, 1000000)
  }

  RESOURCES = {
    :m => "Metal",
    :c => "Cristal",
    :d => "Deuterium"
  }

end
